<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/customer/partner/page',
        hasNew: false,
        hasEdit: false,
        hasDelete: false,
        beforeOpen: (data, isNew) => {
          if (!isNew) {
            data.area = this.getDistrict(data)
          }
        },
        columns: [
          { label: '商户名称', prop: 'name' },
          { label: '商户昵称', prop: 'nickName' },
          {
            label: '地址',
            formatter: (row) => this.getDistrict(row),
          },
          { label: '联系方式', prop: 'tel' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [
              { label: '商户名称', id: 'name', type: 'input' },
              {
                label: '所属地区：',
                id: 'area',
                component: 'el-bus-select-area',
                commonFormat: true,
                commonFormatProps: ['province', 'city', 'region'],
                customClass: 'in-bus-form',
              },
              { label: '手机号', id: 'tel', type: 'input' },
            ],
          },
        ],
        form: [
          { label: '商户名称：', id: 'name', type: 'input' },
          { label: '商户昵称：', id: 'nickName', type: 'input' },
          { label: '地址：', id: 'area', type: 'input' },
          { label: '联系方式：', id: 'tel', type: 'input' },
        ],
      },
    }
  },
  head() {
    return {
      title: '商户列表',
    }
  },
  methods: {
    getDistrict(row) {
      return `${row.province || ''}${row.city || ''}${row.region || ''}${
        row.address || ''
      }`
    },
  },
}
</script>
